Show / Hide Table of Contents

# Class OpenIddictServerAspNetCoreHelpers

Exposes companion extensions for the OpenIddict/ASP.NET Core integration.

##### Inheritance

System.Object
OpenIddictServerAspNetCoreHelpers

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.AspNetCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictServerAspNetCoreHelpers

### Methods

#### GetHttpRequest(OpenIddictServerTransaction)

Retrieves the instance stored in the properties.

##### Declaration

    public static HttpRequest? GetHttpRequest(this OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction | The transaction instance.

##### Returns

Type | Description
--- | ---
System.Nullable<HttpRequest> | The instance or `null` if it couldn't be found.

#### GetOpenIddictServerEndpointType(HttpContext)

Retrieves the instance stored in .

##### Declaration

    public static OpenIddictServerEndpointType GetOpenIddictServerEndpointType(this HttpContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
HttpContext | context | The context instance.

##### Returns

Type | Description
--- | ---
OpenIddictServerEndpointType | The .

#### GetOpenIddictServerRequest(HttpContext)

Retrieves the instance stored in .

##### Declaration

    public static OpenIddictRequest? GetOpenIddictServerRequest(this HttpContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
HttpContext | context | The context instance.

##### Returns

Type | Description
--- | ---
System.Nullable<OpenIddictRequest> | The instance or `null` if it couldn't be found.

#### GetOpenIddictServerResponse(HttpContext)

Retrieves the instance stored in .

##### Declaration

    public static OpenIddictResponse? GetOpenIddictServerResponse(this HttpContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
HttpContext | context | The context instance.

##### Returns

Type | Description
--- | ---
System.Nullable<OpenIddictResponse> | The instance or `null` if it couldn't be found.